import { ref } from 'vue'
import { isDev } from '@/utils/constants'

const url = ref('')

if (isDev) {
  // dev模式请求域名
  url.value = 'https://apis.haibao.shop'
} else {
  // build模式请求域名
  url.value = 'https://api.haibao.shop'
}

/**
 * api请求域名
 */
export const apiUrl = url.value

/**
 * api应用名
 */
export const apiName = '/'
